<?php



//define('SHOPIFY_APP_SECRET', '950244599776881763fe56d5d3d9b74aa6ce2342db4d96dab445f532e65aaf6d');

define('SHOPIFY_APP_SECRET', '3366ed63bf3d36d10558b25efedab4ff');





function verify_webhook($data, $hmac_header)

{

  $calculated_hmac = base64_encode(hash_hmac('sha256', $data, SHOPIFY_APP_SECRET, true));

  return hash_equals($hmac_header, $calculated_hmac);

}







$hmac_header = $_SERVER['HTTP_X_SHOPIFY_HMAC_SHA256'];

$data = file_get_contents('php://input');

$verified = verify_webhook($data, $hmac_header);

error_log('Webhook verified: '.var_export($verified, true)); //check error.log to see the result





